<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Blogspace
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'blogspace' ); ?></a>

	<header id="masthead" class="site-header">
		<?php do_action( 'blogspace_after_header_open' ); ?>

		<div class="wrapper">
			<div class="branding-navigation">
				<?php get_template_part( 'template-parts/header/branding' ); ?>

				<?php get_template_part( 'template-parts/header/main-navigation' ); ?>
			</div>
		</div>

		<?php do_action( 'blogspace_before_header_close' ); ?>
	</header><!-- #masthead -->
